#!/bin/bash

set -e

PD=$PWD/patches

apply_patch() {
patches="$(readlink -f -- $1)"
tree="$2"

for project in $(cd $patches/patches/$tree; echo *);do
	p="$(tr _ / <<<$project |sed -e 's;platform/;;g')"
	pushd $p
	for patch in $patches/patches/$tree/$project/*.patch;do
		git apply $patch || exit
	done
	popd
done
}

if [ $1 = leos ];then
echo ""
echo "Adapt LeOS"
echo "Executing in 5 seconds - CTRL-C to exit"
echo ""
fi


echo "Applying patches"
apply_patch $PD $1
